Bug 36654 - Traceback in AD-Connector password sync: M2Crypto.__m2crypto.sslv2_method missing
Traceback in AD-Connector password sync: M2Crypto.__m2crypto.sslv2_method ...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Stefan Gohmann
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-13 16:28 CET by Arvid Requate
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
sslv3_instead_of_sslv2.patch (524 bytes, patch)
2014-11-13 16:36 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-11-13 16:28:11 CET
When synchronizing passwords, the UCS 4.0 AD-Connector aborts with a traceback:



12.11.2014 19:56:08,86 LDAP        (ERROR  ): failed in post_con_modify_functions
12.11.2014 19:56:08,87 LDAP        (ERROR  ): Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/connector/__init__.py", line 1281, in sync_to_ucs
    f(self, property_type, object)
  File "/usr/lib/pymodules/python2.7/univention/connector/ad/password.py", line 331, in password_sync
    res = get_password_from_ad(connector, rid)
  File "/usr/lib/pymodules/python2.7/univention/connector/ad/password.py", line 138, in get_password_from_ad
    ssl=ssl_init(s.fileno())
  File "/usr/lib/pymodules/python2.7/univention/connector/ad/password.py", line 76, in ssl_init
    meth = M2Crypto.__m2crypto.sslv2_method();
AttributeError: 'module' object has no attribute 'sslv2_method'



+++ This bug was initially created as a clone of Bug #35320 +++
Comment 1 Arvid Requate univentionstaff 2014-11-13 16:35:29 CET
Maybe it's this:

https://github.com/martinpaljak/M2Crypto/commit/84977c532c2444c5487db57146d81bb68dd5431d

This patch fixed the password sync for me:
=========================================================
--- modules/univention/connector/ad/password.py (Revision 55387)
+++ modules/univention/connector/ad/password.py (Arbeitskopie)
@@ -73,7 +73,7 @@
        return res
 
 def ssl_init(sd):
-       meth = M2Crypto.__m2crypto.sslv2_method();
+       meth = M2Crypto.__m2crypto.sslv3_method();
        ctx = M2Crypto.__m2crypto.ssl_ctx_new (meth);
        ssl = M2Crypto.__m2crypto.ssl_new (ctx);
        M2Crypto.__m2crypto.ssl_set_fd (ssl, sd);
=========================================================
Comment 2 Arvid Requate univentionstaff 2014-11-13 16:36:30 CET
Created attachment 6367 [details]
sslv3_instead_of_sslv2.patch
Comment 3 Arvid Requate univentionstaff 2014-11-13 17:00:32 CET
Package rebuilt with patch, changelog added.
Comment 4 Stefan Gohmann univentionstaff 2014-11-15 16:19:01 CET
It works.
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:55:53 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".